# Layouts <small></small>

> Layouts determine how you view or interact with a Collection's Items. In most cases, they offer a way to browse items based on a specific type of data, but can also be used to interact with data.

Layouts provide different ways for presenting, browsing, visualizing, or even managing sets of data. Most commonly shown on Collection Detail pages and contextual drawers for item selection. Directus includes several Layout options out-of-the-box, each with different features and configuration options.

## Table Layout

This tabular layout supports all forms of data, and is therefore the default within the Collections module. It includes
the following features/options:

- Toggle & Reorder Field Columns (Option)
- Row Spacing (Option)
- Manual Ordering
- Column Sort
- Column Resizing
- Select All

## Cards Layout

This tiled layout is ideal for collections that prioritize an image. It is the default for both the
[User Directory](/guides/users/) (shows the avatar) and [File Library](/guides/files/) (shows asset thumbnail). It
includes the following features/options:

- Image Source (Option)
- Title (Option)
- Subtitle (Option)
- Image Fit (Option)
- Fallback Icon (Option)
- Card Size
- Sort Field & Direction
- Select All

<!-- ## Calendar

This temporal layout is ideal for collections that prioritize a date and/or time. It is the default for the [Activity Page](/concepts/activity-and-versions). It includes the following features/options:

* @TODO

 -->

## Custom Layout Extensions

In addition to these core layouts, custom layouts allow for creating more tailored or proprietary ways to experience data within the App, such as charts, seating charts, or Maps.

#### Relevant Guides

- [Creating a Custom Layout](/guides/layouts)
