# Modules <small></small>

> Modules are the highest and broadest level of organization within the App. There are several modules included out-of-the-box, however you can also add your own.

The [Module Bar](/concepts/application/#_1-module-bar) lists all available Modules and allows you to switch between them. Each module also controls its own [Navigation Bar](/concepts/application/#_2-navigation-bar), so they can provide tailored access to their sub-pages. All core functionality within the App can be bucketed into one of the following core modules:

- [Collections](/concepts/application/#collections-module) — The primary way to view and interact with database content
- [User Directory](/concepts/application/#user-directory) — A dedicated section for the platform's system Users
- [File Library](/concepts/application/#file-library) — An aggregate of all files uploaded and managed within the platform
- [Documentation](/concepts/application/#documentation) — A tailored, in-app portal for the platform's concepts, guides, and reference
- [Settings](/concepts/application/#settings) — An Admin-Only section for configuring the project and system settings

## Custom Module Extensions

In addition to these core modules, custom modules offer a _blank canvas_ for creating altogether new/different experiences within the App, such as proprietary dashboards, compound datasets, or third-party integrations (eg: a Stripe Payments Console).

#### Relevant Guides

- [Creating a Custom Module](/guides/modules)
